<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DispatcherResult_V3 StructType
 * @subpackage Structs
 */
class DispatcherResult_V3 extends DispatcherResult_V2
{
    /**
     * The TxSocialUserprofile
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $TxSocialUserprofile;
    /**
     * Constructor method for DispatcherResult_V3
     * @uses DispatcherResult_V3::setTxSocialUserprofile()
     * @param string $txSocialUserprofile
     */
    public function __construct($txSocialUserprofile = null)
    {
        $this
            ->setTxSocialUserprofile($txSocialUserprofile);
    }
    /**
     * Get TxSocialUserprofile value
     * @return string|null
     */
    public function getTxSocialUserprofile()
    {
        return $this->TxSocialUserprofile;
    }
    /**
     * Set TxSocialUserprofile value
     * @param string $txSocialUserprofile
     * @return \StructType\DispatcherResult_V3
     */
    public function setTxSocialUserprofile($txSocialUserprofile = null)
    {
        // validation for constraint: string
        if (!is_null($txSocialUserprofile) && !is_string($txSocialUserprofile)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($txSocialUserprofile, true), gettype($txSocialUserprofile)), __LINE__);
        }
        $this->TxSocialUserprofile = $txSocialUserprofile;
        return $this;
    }
}
